For the complete documentation index, see llms.txt. This page is also available as Markdown.

EasyTransfer

Easily transfer from an address using the password string. Only works with accounts created from createAddress,integrated getransactionsign and broadcasttransaction.

Return value: transaction, including execution results.

Warning

Body params:

  • passPhrase - Password converted from ascii to hex

  • toAddress - Recipient address converted into a hex string

  • amount - Amount of TRX to transfer expressed in SUN.

Request

curl -X POST https://tron.api.watchdata.io/wallet/easytransfer -d '{"passPhrase": "7465737470617373776f7264","toAddress": "41D1E7A6BC354106CB410E65FF8B181C600FF14292", "amount":10}'

Response

{
  "result": {
    "code": "CONTRACT_VALIDATE_ERROR",
    "message": "496e76616c696420746f4164647265737321"
  }
}

Last updated